from matplotlib.pyplot import plot, show, grid, ylim
from numpy import linspace

x = linspace(-3, 3, 100)
y = 1/x

plot(x,y)
grid()

# partie de la courbe telle que -2 < 1/x < 2

x = linspace(-0.5, 0.5, 100)
y = 1/x
ylim(-5,5)
plot(x,y,color='red')

# fin de la représentation de la partie de la courbe

show()
